Jump to content
3000AD Forums
Sign in to follow this  
Supreme Cmdr

UCCE 1.00.04.01 Patch Released

Recommended Posts

This patch requires the November 2007 (or later) DirectX runtime

Use the game Updater to download and apply the patch.

The online VCF has also been updated.

NOTES:

  1. This patch uses a different installer. Be sure to confirm the location of your install in the dialog which appears!!
  2. If you use the game's Updater, it will download the patch and apply it.
  3. If you don't want to use the Updater, then you have to check one of the public mirrors for a link to the full patch.

WARNING: DO NOT DOWNLOAD THE PUBLIC PATCHES AVAILABLE ON DOWNLOAD MIRRORS IF YOU HAVE THE DOWNLOAD (e.g. DIRECT2DRIVE) VERSION OF THE GAME!! USE THE UPDATER INSTEAD!!!

NOTE

Games supported:

  1. UCCE v1.00.03 Full (Take2 DVD-ROM retail version)
  2. UCCE v1.00.03.01 (or higher) Full (Direct2Drive version) *
  3. UCCE v1.00.03.01 (or higher) Full (Digital River version) *
  4. UCCE v1.00.03.01 (or higher) Full (BMT Micro UCSE to UCCE upgrade version) *

* IF YOU BOUGHT THESE VERSIONS BEFORE 11-01-07, YOU HAVE TO EDIT YOUR SETTINGS.INI FILE BEFORE USING THE GAME UDPATER. THIS IS BECAUSE IT NOW SUPPORTS ALL THE VARIOUS DRM VERSIONS. FAILURE TO DO THIS WILL RESULT IN YOUR DRM SIGNATURE BEING INVALIDATED (DUE TO AN INCORRECT PATCH BEING DOWNLOADED AND APPLIED).

Go to your game install folder and make a backup of the SETTINGS.INI file. Then load the SETTINGS.INI file in Notepad.

Go to the UPDATEINFO section and make the following changes depending on which version you have. If you have the current version, no changes are required.

DIGITAL RIVER

Change the download URL to: URL=http://downloads.3000ad.com/updateinfoUCCE-DR.xml

DIRECT2DRIVE

Change the download URL to: URL=http://downloads.3000ad.com/updateinfoUCCE-D2D.xml

BMT MICRO

Change the download URL to: URL=http://downloads.3000ad.com/updateinfoUCCE-UPG.xml

When done, save the file, exit Notepad and run the Updater.

If you run the game and you are prompted for license info, then you messed something up. In which case you will have to rollback to the previous 1.00.03.02 patch and do it over.

Share this post


Link to post
Share on other sites

Hello,

I'm trying to update my game to this patch version and having difficulties. I installed the game off the DVD and ran the updater. The updater says "error file not found, no updates found on server" when I run it. So I downloaded patches v1.00.03.01 through v1.00.04.01 and manually installed them in order from the game directory (as described on the website).

The game successfully patched up to v1.00.04. Unfortunately I get an error when I try to run the v1.00.04.01 patch. "NSIS Error: The installer you are trying to run is corrupted or incomplete...." I've downloaded this patch from the 3000AD website and several mirrors. All get the same error and all are 12.3 MB in size.

Not sure why the updater isn't working (I made sure it wasn't blocked by my firewall).

Not sure whether the patch file is corrupt or if there's any other problem on my end. I'm guessing if it wasn't on my end I wouldn't be the only person asking stupid questions here :)

Thanks in advance for any help.

Share this post


Link to post
Share on other sites

The patch and the servers are just fine. So if you're getting corrupt files from all sites, then the problem is on your end. Naturally.

Also, you only need ONE patch, that being the LATEST (1.00.04.01).

As indicated on the support page, if you've borked your installation and/or patch, you have NO alternative but to uninstall, kill the folder, re-installer

and run the updater. It will then detect that 1.00.04.01 on the site and automatically download and apply it.

I just checked the patch server and its working just fine.

Share this post


Link to post
Share on other sites

Yeah, uninstalling and reinstalling the game fixed the problem. Strange, but I guess something went wrong with the initial installation. Auto updater worked like a charm this time and everything is good.

Thanks for the quick reply!

Share this post


Link to post
Share on other sites

Be advised that we no longer use Starforce as our DRM. So the current [not the Direct2Drive ones] patches (located on our servers) have been re-issued using a different DRM scheme. So if you patch the game at a latest date, you will be prompted with a hardware fingerprint in the form XXXX-XXXX. Please send that number to [email protected] and you will be sent a new unlock code.

This new DRM scheme allows up to five drastic hardware changes before the license is deemed to have expired. If you don't normally use external USB devices (e.g. HDD, DVD/CD ROM drives etc), make sure that it is plugged in before you run the game and the hardware fingerprint is generated otherwise the license will be invalidated if you latest plug it in after entering the unlock code.

Share this post


Link to post
Share on other sites
Sign in to follow this  

×